From dfc480de3c3e16219bc9f177d1b0edbedb90fc91 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Fri, 6 Mar 2020 19:03:25 -0300
Subject: [PATCH v12 3/5] whitespace, varlena struct change, comment on qsort
 cb

---
 src/backend/utils/adt/multirangetypes.c | 11 ++++++++---
 src/backend/utils/adt/rangetypes.c      |  7 +++----
 src/include/utils/multirangetypes.h     |  2 +-
 3 files changed, 12 insertions(+), 8 deletions(-)

diff --git a/src/backend/utils/adt/multirangetypes.c b/src/backend/utils/adt/multirangetypes.c
index 4d45aa581b..a7bc2336b2 100644
--- a/src/backend/utils/adt/multirangetypes.c
+++ b/src/backend/utils/adt/multirangetypes.c
@@ -1605,7 +1605,8 @@ multirange_overleft_range(PG_FUNCTION_ARGS)
 
 	multirange_deserialize(mr, &range_count, &ranges);
 
-	PG_RETURN_BOOL(range_overleft_internal(typcache->rngtype, ranges[range_count - 1], r));
+	PG_RETURN_BOOL(range_overleft_internal(typcache->rngtype,
+										   ranges[range_count - 1], r));
 }
 
 Datum
@@ -1627,7 +1628,9 @@ multirange_overleft_multirange(PG_FUNCTION_ARGS)
 	multirange_deserialize(mr1, &range_count1, &ranges1);
 	multirange_deserialize(mr2, &range_count2, &ranges2);
 
-	PG_RETURN_BOOL(range_overleft_internal(typcache->rngtype, ranges1[range_count1 - 1], ranges2[range_count2 - 1]));
+	PG_RETURN_BOOL(range_overleft_internal(typcache->rngtype,
+										   ranges1[range_count1 - 1],
+										   ranges2[range_count2 - 1]));
 }
 
 /* does not extend to left of? */
@@ -1688,7 +1691,9 @@ multirange_overright_multirange(PG_FUNCTION_ARGS)
 	multirange_deserialize(mr1, &range_count1, &ranges1);
 	multirange_deserialize(mr2, &range_count2, &ranges2);
 
-	PG_RETURN_BOOL(range_overright_internal(typcache->rngtype, ranges1[0], ranges2[0]));
+	PG_RETURN_BOOL(range_overright_internal(typcache->rngtype,
+											ranges1[0],
+											ranges2[0]));
 }
 
 /* contains? */
diff --git a/src/backend/utils/adt/rangetypes.c b/src/backend/utils/adt/rangetypes.c
index 7077bb0309..0af3c67296 100644
--- a/src/backend/utils/adt/rangetypes.c
+++ b/src/backend/utils/adt/rangetypes.c
@@ -2102,10 +2102,9 @@ range_cmp_bound_values(TypeCacheEntry *typcache, const RangeBound *b1,
 /*
  * qsort callback for sorting ranges.
  *
- * Compares two ranges so we can qsort them.
- * This expects that you give qsort a RangeType **,
- * so the RangeTypes can be in diverse locations,
- * as long as you have a list of pointers to them all.
+ * Two empty ranges compare equal; an empty range sorts to the left of any
+ * non-empty range.  Two non-empty ranges are sorted by lower bound first
+ * and by upper bound next.
  */
 int
 range_compare(const void *key1, const void *key2, void *arg)
diff --git a/src/include/utils/multirangetypes.h b/src/include/utils/multirangetypes.h
index 8779bd1f6e..98a8878ca0 100644
--- a/src/include/utils/multirangetypes.h
+++ b/src/include/utils/multirangetypes.h
@@ -24,7 +24,7 @@
  */
 typedef struct
 {
-	char		vl_len_[4];		/* varlena header (do not touch directly!) */
+	int32		vl_len_;		/* varlena header (do not touch directly!) */
 	Oid			multirangetypid;	/* multirange type's own OID */
 	uint32		rangeCount;		/* the number of ranges */
 
-- 
2.20.1

